{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Aasaan","colors":{"primary":"#06B390","light":"#83CC57","dark":"#06B390"},"favicon":"/favicon.png","logo":{"light":"https://mintcdn.com/aasaan/Pj8mF7uTXkEd7VYt/logo.png?fit=max\u0026auto=format\u0026n=Pj8mF7uTXkEd7VYt\u0026q=85\u0026s=ee181737662dc85d3e531fa3a5ede21b","dark":"https://mintcdn.com/aasaan/Pj8mF7uTXkEd7VYt/logo.png?fit=max\u0026auto=format\u0026n=Pj8mF7uTXkEd7VYt\u0026q=85\u0026s=ee181737662dc85d3e531fa3a5ede21b"},"appearance":{"default":"dark","strict":true},"navbar":{"primary":{"type":"button","label":"Sign Up","href":"https://admin.aasaan.app/auth/register"}},"footer":{"socials":{"twitter":"https://twitter.com/aasaan_app_/","instagram":"https://www.instagram.com/aasaan_app_/","linkedin":"https://www.linkedin.com/company/aasaanapp/"}},"navigation":{"global":{"anchors":[{"anchor":"Connect to Shopify","href":"https://aasaan.app/connect/shopify/","icon":"shopify"},{"anchor":"Connect to Bigcommerce","href":"https://aasaan.app/connect/bigcommerce/","icon":"money-check-dollar"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"aasaan","hasAudioNarration":false,"actualSubdomain":"aasaan","customDomains":["help.aasaan.app"],"gitSource":{"type":"github","owner":"gsraju27","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a21e60f91916e8ce404e5f6","collectionId":"ecf16b7a-eadf-4a25-ae27-e68276b3fcc9","schemaVersion":"v2"},"entitlements":{},"buildId":"6a21e60f91916e8ce404e5f6:success","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"default","tag":"Partner API","count":43},{"language":"default","tag":"Backend API","count":37},{"language":"default","tag":"Documentation","count":32},{"language":"default","tag":"Product","count":18},{"language":"default","tag":"Brand","count":14},{"language":"default","tag":"Category","count":14},{"language":"default","tag":"STOREFRONT BUILDER","count":10},{"language":"default","tag":"APP MARKET","count":9},{"language":"default","tag":"COMMERCE","count":9},{"language":"default","tag":"GETTING STARTED","count":8}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/store/create-a-new-store","slug":"/api-reference/store/create-a-new-store","pageMetadata":{"openapi":"post /{storeId}","title":"Create a new store.","description":"Create a new Store.","href":"/api-reference/store/create-a-new-store"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Create a new Store.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /{storeId}","title":"Create a new store.","description":"Create a new Store.","href":"/api-reference/store/create-a-new-store"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Create a new store.","tags":["Store"],"description":"Create a new Store.","parameters":["54642bfc-bf46-4856-8669-7b6c580db813"],"requestBody":"8134e328-39cc-4119-a10d-4faebb672ba3","responses":{"201":"115e29d1-87bc-42b6-ac38-2ffdc819c95c","403":"21cffdb3-42b4-4455-bfbf-3d4067d998cf","422":"0d4a7213-6a7c-4f92-8b1a-f1d98ab8accb","500":"c7105b01-cb5e-49b1-ba43-bc684d1d8bfc"},"x-amazon-apigateway-integration":{"type":"aws_proxy","httpMethod":"POST","uri":"arn:aws:apigateway:us-east-1:lambda:path/2015-03-31/functions/arn:aws:lambda:us-east-1:128512798967:function:aasaan-api-dev-serverless/invocations","passthroughBehavior":"when_no_match","responses":{"default":{"statusCode":201}}},"method":"post","type":"path","servers":["0dd087dd-f463-43eb-91a7-5af4c9af7430"],"security":[],"path":"/{storeId}","baseUrlOptions":["https://partner-api.aasaan.shop/api/v1/partner-integrations/stores"],"title":"Create a new store.","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"54642bfc-bf46-4856-8669-7b6c580db813":{"name":"storeId","in":"path","required":true,"schema":{"type":"string","description":"Store ID for this resource request","isRequired":true,"uniqueKey":"","typeLabel":"string"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"required":["storeName","currency","address","templateName"],"properties":{"storeName":{"type":"string","description":"Name","example":"lunchbox","isRequired":true,"uniqueKey":"storeName","typeLabel":"string"},"currency":{"type":"string","description":"Base currency associated with this store","example":"USD","isRequired":true,"uniqueKey":"currency","typeLabel":"string"},"templateName":{"type":"string","description":"Template that needs to be used in this store creation to setup home page and other assets","example":"Restaurant Template","isRequired":true,"uniqueKey":"templateName","typeLabel":"string"},"address":{"type":"object","description":"Address of the store","properties":{"aptNo":{"type":"string","description":"apt or door number of the store address","example":"123A 345","uniqueKey":"address.aptNo","typeLabel":"string"},"line1":{"type":"string","description":"First line of the address","example":"Central Park East","uniqueKey":"address.line1","typeLabel":"string"},"line2":{"type":"string","description":"Second line of the address","example":"Central Park East","uniqueKey":"address.line2","typeLabel":"string"},"city":{"type":"string","description":"Name of the city","example":"New York","uniqueKey":"address.city","typeLabel":"string"},"state":{"type":"string","description":"Name of the state","example":"New York","uniqueKey":"address.state","typeLabel":"string"},"zipcode":{"type":"string","description":"ZipCode associated with the address","example":10025,"uniqueKey":"address.zipcode","typeLabel":"string"},"country":{"type":"string","description":"Name of country of the associated address","example":"USA","uniqueKey":"address.country","typeLabel":"string"}},"isRequired":true,"uniqueKey":"address","typeLabel":"object"},"email":{"type":"string","description":"Email associated with the store","example":"test@noreply.com","uniqueKey":"email","typeLabel":"string"},"mobile":{"type":"string","description":"Mobile number associated with the store","example":"323-232-2323","uniqueKey":"mobile","typeLabel":"string"},"logo":{"type":"string","description":"Logo which appears on the website","example":"https://images.aasaan.shop/stores/logo/logo_1684500490812.png","uniqueKey":"logo","typeLabel":"string"},"favicon":{"type":"string","description":"Favicon which appears on the website","example":"https://images.aasaan.shop/stores/favicon/favicon_1684500490812.png","uniqueKey":"favicon","typeLabel":"string"},"metaData":{"type":"object","description":"any additional metadata that was stored as a part of this store creation","uniqueKey":"metaData","typeLabel":"object"},"workingHours":{"type":"array","description":"Gives the working hours on a given day. If you are specifying this - you will have to provide data for all seven days.","items":{"type":"object","properties":{"timeZone":{"type":"string","description":"timezone for the working hours","example":"EDT","uniqueKey":"workingHours.items.[INDEX].timeZone","typeLabel":"string"},"days":{"type":"array","description":"information about times for a specific day","items":{"type":"object","properties":{"day":{"type":"string","description":"day of the week","example":"Monday","uniqueKey":"workingHours.items.[INDEX].days.items.[INDEX].day","typeLabel":"string"},"holiday":{"type":"string","description":"specify a reason if this particular day is a holiday","example":"Independence Day, Sunday, Monday","uniqueKey":"workingHours.items.[INDEX].days.items.[INDEX].holiday","typeLabel":"string"},"times":{"type":"array","description":"various times during the day when the store is open on the specified time zone","items":{"type":"object","properties":{"startTime":{"type":"string","description":"start time for this period","example":"10:00 AM","uniqueKey":"workingHours.items.[INDEX].days.items.[INDEX].times.items.[INDEX].startTime","typeLabel":"string"},"endTime":{"type":"string","description":"end time for this period","example":"15:00 PM","uniqueKey":"workingHours.items.[INDEX].days.items.[INDEX].times.items.[INDEX].endTime","typeLabel":"string"}},"uniqueKey":"workingHours.items.[INDEX].days.items.[INDEX].times.items.[INDEX]","typeLabel":"object"},"uniqueKey":"workingHours.items.[INDEX].days.items.[INDEX].times","typeLabel":"object[]"}},"uniqueKey":"workingHours.items.[INDEX].days.items.[INDEX]","typeLabel":"object"},"uniqueKey":"workingHours.items.[INDEX].days","typeLabel":"object[]"}},"uniqueKey":"workingHours.items.[INDEX]","typeLabel":"object"},"uniqueKey":"workingHours","typeLabel":"object[]"},"seo":{"type":"object","description":"Seo of the store","properties":{"title":{"type":"string","description":"seo title for the store","example":"seo title","uniqueKey":"seo.title","typeLabel":"string"},"description":{"type":"string","description":"seo description for the store","example":"seo description","uniqueKey":"seo.description","typeLabel":"string"},"image":{"type":"string","description":"seo image for the store","example":"https://images.lightbooks-dev.io/stores/automationtest7946886/seo/seo_1678560927290.jpeg","uniqueKey":"seo.image","typeLabel":"string"}},"uniqueKey":"seo","typeLabel":"object"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"storeName":"lunchbox","currency":"USD","templateName":"Restaurant Template","address":{"aptNo":"123A 345","line1":"Central Park East","line2":"Central Park East","city":"New York","state":"New York","zipcode":10025,"country":"USA"},"email":"test@noreply.com","mobile":"323-232-2323","logo":"https://images.aasaan.shop/stores/logo/logo_1684500490812.png","favicon":"https://images.aasaan.shop/stores/favicon/favicon_1684500490812.png","metaData":{},"workingHours":[{"timeZone":"EDT","days":[{"day":"Monday","holiday":"Independence Day, Sunday, Monday","times":[{"startTime":"10:00 AM","endTime":"15:00 PM"}]}]}],"seo":{"title":"seo title","description":"seo description","image":"https://images.lightbooks-dev.io/stores/automationtest7946886/seo/seo_1678560927290.jpeg"}}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"115e29d1-87bc-42b6-ac38-2ffdc819c95c":{"description":"Store created.","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","description":"Unique identifier for the resource that was used to create this store","example":"store-id-1","uniqueKey":"id","typeLabel":"string"},"storeName":{"type":"string","description":"Name","example":"lunchbox","uniqueKey":"storeName","typeLabel":"string"},"email":{"type":"string","description":"Email associated with the store","example":"test@noreply.com","uniqueKey":"email","typeLabel":"string"},"currency":{"type":"string","description":"Base currency associated with this store","example":"USD","uniqueKey":"currency","typeLabel":"string"},"storeUrl":{"type":"string","description":"The full store url that of the store that was created","example":"USD","uniqueKey":"storeUrl","typeLabel":"string"},"metaData":{"type":"object","description":"any additional metadata that was stored as a part of this store creation","uniqueKey":"metaData","typeLabel":"object"},"address":{"type":"object","description":"Address of the store","properties":{"aptNo":{"type":"string","description":"apt or door number of the store address","example":"123A 345","uniqueKey":"address.aptNo","typeLabel":"string"},"line1":{"type":"string","description":"First line of the address","example":"Central Park East","uniqueKey":"address.line1","typeLabel":"string"},"line2":{"type":"string","description":"Second line of the address","example":"Central Park East","uniqueKey":"address.line2","typeLabel":"string"},"city":{"type":"string","description":"Name of the city","example":"New York","uniqueKey":"address.city","typeLabel":"string"},"state":{"type":"string","description":"Name of the state","example":"New York","uniqueKey":"address.state","typeLabel":"string"},"zipcode":{"type":"string","description":"ZipCode associated with the address","example":10025,"uniqueKey":"address.zipcode","typeLabel":"string"},"country":{"type":"string","description":"Name of country of the associated address","example":"USA","uniqueKey":"address.country","typeLabel":"string"}},"uniqueKey":"address","typeLabel":"object"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"store-id-1","storeName":"lunchbox","email":"test@noreply.com","currency":"USD","storeUrl":"USD","metaData":{},"address":{"aptNo":"123A 345","line1":"Central Park East","line2":"Central Park East","city":"New York","state":"New York","zipcode":10025,"country":"USA"}}}},"exampleType":"generated"}},"exampleType":"generated"},"21cffdb3-42b4-4455-bfbf-3d4067d998cf":{"description":"Invalid Api Key","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"0d4a7213-6a7c-4f92-8b1a-f1d98ab8accb":{"description":"Data error","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"c7105b01-cb5e-49b1-ba43-bc684d1d8bfc":{"description":"Internal Server Error","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{},"servers":{"0dd087dd-f463-43eb-91a7-5af4c9af7430":{"url":"https://partner-api.aasaan.shop/api/v1/partner-integrations/stores","description":"Development server"}}},"originalFileLocation":"partnerapi.json"},"subdomain":"aasaan","siteName":"Aasaan","title":"Create a new store. - Aasaan","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-06T23:49:29.814Z","originalFileLocation":"api-reference/store/create-a-new-store.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=\"dark\";if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"dark\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Create a new Store.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Aasaan\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/aasaan/4Cys8swax_TShW7o/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/aasaan/4Cys8swax_TShW7o/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/aasaan/4Cys8swax_TShW7o/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/aasaan/4Cys8swax_TShW7o/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/aasaan/4Cys8swax_TShW7o/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/aasaan/4Cys8swax_TShW7o/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/aasaan/4Cys8swax_TShW7o/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/aasaan/4Cys8swax_TShW7o/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/aasaan/4Cys8swax_TShW7o/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create a new store. - Aasaan\">\u003cmeta data-mint-head property=\"og:description\" content=\"Create a new Store.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Aasaan\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://help.aasaan.app/api-reference/store/create-a-new-store\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://aasaan.mintlify.app/_mintlify/api/og/v2?division=Store\u0026amp;title=Create+a+new+store.\u0026amp;description=Create+a+new+Store.\u0026amp;theme=af106137a0faf7d9f76a257c\u0026amp;signature=1bf723d67cfb74b63d8381e2817cc542ade4d6c1d97cb53dc0c0594c1e87b46d\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create a new store. - Aasaan\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Create a new Store.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://aasaan.mintlify.app/_mintlify/api/og/v2?division=Store\u0026amp;title=Create+a+new+store.\u0026amp;description=Create+a+new+Store.\u0026amp;theme=af106137a0faf7d9f76a257c\u0026amp;signature=1bf723d67cfb74b63d8381e2817cc542ade4d6c1d97cb53dc0c0594c1e87b46d\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/aasaan/4Cys8swax_TShW7o/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Aasaan\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#06B390\">\u003clink data-mint-head rel=\"canonical\" href=\"https://help.aasaan.app/api-reference/store/create-a-new-store\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/store/create-a-new-store.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://help.aasaan.app/#organization\",\"name\":\"Aasaan\",\"url\":\"https://help.aasaan.app\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/aasaan/Pj8mF7uTXkEd7VYt/logo.png?fit=max\u0026auto=format\u0026n=Pj8mF7uTXkEd7VYt\u0026q=85\u0026s=ee181737662dc85d3e531fa3a5ede21b\"}},{\"@type\":\"WebSite\",\"@id\":\"https://help.aasaan.app#website\",\"name\":\"Aasaan\",\"url\":\"https://help.aasaan.app\",\"publisher\":{\"@id\":\"https://help.aasaan.app/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://help.aasaan.app/api-reference/store/create-a-new-store#webpage\",\"url\":\"https://help.aasaan.app/api-reference/store/create-a-new-store\",\"name\":\"Create a new store.\",\"description\":\"Create a new Store.\",\"dateModified\":\"2026-01-06T23:49:29.814Z\",\"isPartOf\":{\"@id\":\"https://help.aasaan.app#website\"},\"breadcrumb\":{\"@id\":\"https://help.aasaan.app/api-reference/store/create-a-new-store#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://help.aasaan.app/api-reference/store/create-a-new-store#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Store\",\"item\":\"https://help.aasaan.app/api-reference/store/get-all-stores-for-a-client\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create a new store.\",\"item\":\"https://help.aasaan.app/api-reference/store/create-a-new-store\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://help.aasaan.app/api-reference/store/create-a-new-store#apireference\",\"headline\":\"Create a new store.\",\"name\":\"Create a new store.\",\"description\":\"Create a new Store.\",\"url\":\"https://help.aasaan.app/api-reference/store/create-a-new-store\",\"mainEntityOfPage\":{\"@id\":\"https://help.aasaan.app/api-reference/store/create-a-new-store#webpage\"},\"dateModified\":\"2026-01-06T23:49:29.814Z\",\"publisher\":{\"@id\":\"https://help.aasaan.app/#organization\"},\"isPartOf\":{\"@id\":\"https://help.aasaan.app#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Aasaan\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Aasaan","nav":{"global":{"anchors":[{"anchor":"Connect to Shopify","href":"https://aasaan.app/connect/shopify/","icon":"shopify"},{"anchor":"Connect to Bigcommerce","href":"https://aasaan.app/connect/bigcommerce/","icon":"money-check-dollar"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/documentation/fundamentals/getting-set-up"}]},{"tab":"Backend API","pages":[{"title":"Backend API","href":"/backend-api/introduction"}]},{"tab":"Partner API","groups":[{"group":"GETTING STARTED","pages":[{"title":"Introduction","href":"/api-reference/introduction"},{"title":"Authentication","href":"/api-reference/authentication"},{"title":"Versioning","href":"/api-reference/versioning"},{"title":"Errors","href":"/api-reference/errors"}]},{"group":"Store","pages":[{"openapi":"get /all/stores","title":"Get All Stores for a client","href":"/api-reference/store/get-all-stores-for-a-client"},{"openapi":"get /{storeId}","title":"Get Store Information","description":"Get Store Information","href":"/api-reference/store/get-store-information"},{"openapi":"post /{storeId}","title":"Create a new store.","href":"/api-reference/store/create-a-new-store"},{"openapi":"patch /{storeId}","title":"Update Store information (email, address, metadata)","description":"Update Store Information","href":"/api-reference/store/update-store-information-email-address-metadata"}]},{"group":"Custom Domain","pages":[{"openapi":"post /{storeId}/customdomain","title":"Create a custom domain.","href":"/api-reference/custom-domain/create-a-custom-domain"}]},{"group":"Category","pages":[{"openapi":"get /{storeId}/categories/{id}","title":"Get a category by Id.","href":"/api-reference/category/get-a-category-by-id"},{"openapi":"put /{storeId}/categories/{id}","title":"Put a new category.","href":"/api-reference/category/put-a-new-category"},{"openapi":"post /{storeId}/categories/{id}","title":"Create a new category.","href":"/api-reference/category/create-a-new-category"},{"openapi":"delete /{storeId}/categories/{id}","title":"Delete a Category.","href":"/api-reference/category/delete-a-category"},{"openapi":"patch /{storeId}/categories/{id}","title":"Update a category.","href":"/api-reference/category/update-a-category"},{"openapi":"put /{storeId}/categories/","title":"Put a multiple categories","href":"/api-reference/category/put-a-multiple-categories"},{"openapi":"get /{storeId}/categories","title":"Get all categories.","href":"/api-reference/category/get-all-categories"}]},{"group":"Brand","pages":[{"openapi":"get /{storeId}/brands/{id}","title":"Get a brand by Id.","href":"/api-reference/brand/get-a-brand-by-id"},{"openapi":"put /{storeId}/brands/{id}","title":"Put a brand.","href":"/api-reference/brand/put-a-brand"},{"openapi":"post /{storeId}/brands/{id}","title":"Create a new brand.","href":"/api-reference/brand/create-a-new-brand"},{"openapi":"delete /{storeId}/brands/{id}","title":"Delete a brand.","href":"/api-reference/brand/delete-a-brand"},{"openapi":"patch /{storeId}/brands/{id}","title":"Update a brand.","href":"/api-reference/brand/update-a-brand"},{"openapi":"get /{storeId}/brands","title":"Get all brands.","href":"/api-reference/brand/get-all-brands"},{"openapi":"put /{storeId}/brands","title":"Put a multiple brands","href":"/api-reference/brand/put-a-multiple-brands"}]},{"group":"Tag","pages":[{"openapi":"get /{storeId}/tags/{id}","title":"Get a tag by Id.","href":"/api-reference/tag/get-a-tag-by-id"},{"openapi":"put /{storeId}/tags/{id}","title":"Put a tag.","href":"/api-reference/tag/put-a-tag"},{"openapi":"post /{storeId}/tags/{id}","title":"Create a new tag.","href":"/api-reference/tag/create-a-new-tag"},{"openapi":"delete /{storeId}/tags/{id}","title":"Delete a tag.","href":"/api-reference/tag/delete-a-tag"},{"openapi":"patch /{storeId}/tags/{id}","title":"Update a tag.","href":"/api-reference/tag/update-a-tag"},{"openapi":"get /{storeId}/tags","title":"Get all tags.","href":"/api-reference/tag/get-all-tags"},{"openapi":"put /{storeId}/tags","title":"Put a multiple tags","href":"/api-reference/tag/put-a-multiple-tags"}]},{"group":"Store Front","pages":[{"openapi":"get /{storeId}/product-ordering","title":"Gets the current product ordering.","href":"/api-reference/store-front/gets-the-current-product-ordering"},{"openapi":"post /{storeId}/product-ordering","title":"Updates the product ordering within a category","href":"/api-reference/store-front/updates-the-product-ordering-within-a-category"},{"openapi":"get /{storeId}/storefront","title":"Get the template attributes.","href":"/api-reference/store-front/get-the-template-attributes"},{"openapi":"patch /{storeId}/storefront","title":"Update a template.","href":"/api-reference/store-front/update-a-template"}]},{"group":"Product","pages":[{"openapi":"get /{storeId}/products/{productId}","title":"Get a product by id.","href":"/api-reference/product/get-a-product-by-id"},{"openapi":"put /{storeId}/products/{productId}","title":"Create or update a product.","href":"/api-reference/product/create-or-update-a-product"},{"openapi":"post /{storeId}/products/{productId}","title":"Create a new product.","href":"/api-reference/product/create-a-new-product"},{"openapi":"delete /{storeId}/products/{productId}","title":"Delete a Product.","href":"/api-reference/product/delete-a-product"},{"openapi":"patch /{storeId}/products/{productId}","title":"Update a product.","href":"/api-reference/product/update-a-product"},{"openapi":"get /{storeId}/products","title":"Get all products.","href":"/api-reference/product/get-all-products"},{"openapi":"put /{storeId}/products","title":"Create or update multiple products.","href":"/api-reference/product/create-or-update-multiple-products"},{"openapi":"post /{storeId}/products/{productId}/variants/{variantId}","title":"Create a new Variant of the specified base product.","href":"/api-reference/product/create-a-new-variant-of-the-specified-base-product"},{"openapi":"patch /{storeId}/products/{productId}/variants/{variantId}","title":"Update a variant.","href":"/api-reference/product/update-a-variant"}]}]}]},"basePath":"","title":"Create a new store. - Aasaan","buildId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","deploymentId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CS552b7R.js","utils-DDTCYAF2.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-De8ttokP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DrwRDvAh.js","snippetPresets-DtAN0nWx.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-D5rWArI6.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-O2i12wsz.js","shallow-DV8xABTt.js","getApiPlaygroundDisplay-DBZ0B5Jx.js","CodeSnippet-BVi0tPUX.js","CodeSnippets-CqASbIwY.js","Page-m07pfKpT.js","getPastedJson-DG9vsMS8.js","icon-CXzRSCr8.js","MethodPill-BdKVtEuX.js","DuplicateIcon-CZlmBrJI.js","createIcon-biFEUKPL.js","DynamicMarkdown-B54_zNBF.js","SectionHeading-DwwHK3Pt.js","axios-vUo_bRtp.js","Markdown-DfhCTwyA.js","clsx-xpJZXxdP.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BTZUMDnx.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-DqdKa2R4.js"]}